import { NumericAxisBase } from "./NumericAxisBase";
import { NumericScaleMode } from "./NumericScaleMode";
import { DependencyProperty } from "igniteui-react-core";
import { NumericScaler } from "./NumericScaler";
import { Type } from "igniteui-react-core";
import { AxisView } from "./AxisView";
import { NumericAxisBaseView } from "./NumericAxisBaseView";
/**
 * @hidden
 */
export declare abstract class StraightNumericAxisBase extends NumericAxisBase {
    static $t: Type;
    constructor();
    a3(): AxisView;
    gx(a: AxisView): void;
    lp: StraightNumericAxisBaseView;
    lk: NumericScaleMode;
    static readonly l2: DependencyProperty;
    lo: NumericScaler;
    private static ly;
    protected ln(): NumericScaler;
    protected lm: NumericScaler;
    protected get_ll(): NumericScaler;
    protected set_ll(a: NumericScaler): void;
    ll: NumericScaler;
    k7(a: NumericAxisBase, b: number, c: number, d: boolean, e: number, f: number, g: number): {
        p5: number;
        p6: number;
    };
    private lz;
    private lq;
    protected l0(): void;
    lv(): void;
    protected gz(a: any, b: string, c: any, d: any): void;
    private lx;
    private lw;
    protected lr(a: number, b: StraightNumericAxisBase): number;
    static $$p: string[];
}
/**
 * @hidden
 */
export declare class StraightNumericAxisBaseView extends NumericAxisBaseView {
    static $t: Type;
    protected bg: StraightNumericAxisBase;
    constructor(a: StraightNumericAxisBase);
    bh(): void;
}
